class DashboardModel {
  String kPIName;
  int displaySequence;
  List<Summaryoptions> summaryoptions;

  DashboardModel({this.kPIName, this.displaySequence, this.summaryoptions});

  DashboardModel.fromJson(Map<String, dynamic> json) {
    kPIName = json['KPIName'];
    displaySequence = json['displaySequence'];
    if (json['summaryoptions'] != null) {
      summaryoptions = new List<Summaryoptions>();
      json['summaryoptions'].forEach((v) {
        summaryoptions.add(new Summaryoptions.fromJson(v));
      });
    }
  }

  Map<String, dynamic> toJson() {
    final Map<String, dynamic> data = new Map<String, dynamic>();
    data['KPIName'] = this.kPIName;
    data['displaySequence'] = this.displaySequence;
    if (this.summaryoptions != null) {
      data['summaryoptions'] =
          this.summaryoptions.map((v) => v.toJson()).toList();
    }
    return data;
  }
}

class Summaryoptions {
  String kPIParameter;
  String captionColor;
  bool isCaptionBold;
  bool isValueBold;
  int order;
  int value;
  String valueColor;

  Summaryoptions(
      {this.kPIParameter,
      this.captionColor,
      this.isCaptionBold,
      this.isValueBold,
      this.order,
      this.value,
      this.valueColor});

  Summaryoptions.fromJson(Map<String, dynamic> json) {
    kPIParameter = json['KPIParameter'];
    captionColor = json['captionColor'];
    isCaptionBold = json['isCaptionBold'];
    isValueBold = json['isValueBold'];
    order = json['order'];
    value = json['value'];
    valueColor = json['valueColor'];
  }

  Map<String, dynamic> toJson() {
    final Map<String, dynamic> data = new Map<String, dynamic>();
    data['KPIParameter'] = this.kPIParameter;
    data['captionColor'] = this.captionColor;
    data['isCaptionBold'] = this.isCaptionBold;
    data['isValueBold'] = this.isValueBold;
    data['order'] = this.order;
    data['value'] = this.value;
    data['valueColor'] = this.valueColor;
    return data;
  }
}
